edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper

## Class DefaultPartOfSpeechTagsMapper

- java.lang.Object
- - edu.northwestern.at.utils.IsCloseableObject
  - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper
    - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.NoopPartOfSpeechTagsMapper
      - - edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.DefaultPartOfSpeechTagsMapper

- All Implemented Interfaces:
    PartOfSpeechTagsMapper, IsCloseable

      public class DefaultPartOfSpeechTagsMapper
      extends NoopPartOfSpeechTagsMapper
      implements PartOfSpeechTagsMapper

  DefaultPartOfSpeechTagsMapper: default returns original tag unchanged.

- - ### Field Summary

    - ### Fields inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper

      `destinationTagSeparator, partOfSpeechTagsMap, sourceTagSeparator, unknownTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultPartOfSpeechTagsMapper()` Create default part of speech tags mapper.

  - ### Method Summary

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.NoopPartOfSpeechTagsMapper

      `getTag`

    - ### Methods inherited from class edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.AbstractPartOfSpeechTagsMapper

      `toString`

    - ### Methods inherited from class edu.northwestern.at.utils.IsCloseableObject

      `close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface edu.northwestern.at.morphadorner.corpuslinguistics.partsofspeech.mapper.PartOfSpeechTagsMapper

      `getTag`

    - ### Methods inherited from interface edu.northwestern.at.utils.IsCloseable

      `close`

- - ### Constructor Detail

    - #### DefaultPartOfSpeechTagsMapper

          public DefaultPartOfSpeechTagsMapper()
                                        throws java.io.IOException

      Create default part of speech tags mapper.
      Throws:
        `java.io.IOException`